org.apache.solr.client.solrj.io.eval

## Class UuidEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.SimpleEvaluator
  - - org.apache.solr.client.solrj.io.eval.UuidEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

    public class UuidEvaluator
    extends SimpleEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.SimpleEvaluator

`nodeId, streamContext`

### Constructor Summary

Constructors
Constructor and Description
`UuidEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `evaluate(Tuple tuple)`
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.SimpleEvaluator

`getStreamContext, setStreamContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### UuidEvaluator

    public UuidEvaluator(StreamExpression expression,
                         StreamFactory factory)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### evaluate

    public UUID evaluate(Tuple tuple)
                  throws IOException

Throws:
  `IOException`

#### toExpression

    public StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error